import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const guildGetInventoryStockService = createAsyncThunk(
  "GUILD_GET_INVENTORY_STOCK_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("steward_warehouse/", {
      params: { date: d.date, role_key: d.role_key || "" },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
